Open SCAP Library

Public Member Functions | Data Fields
cvrf_revision Struct Reference

## Public Member Functions
xmlNode * | cvrf_revision_to_dom (struct cvrf_revision *revision)
| Parent: RevisionHistory container in CVRF DocumentTracking element. More...
struct cvrf_revision * | cvrf_revision_new (void)
| New CVRF Revision structure. More...
void | cvrf_revision_free (struct cvrf_revision *revision)
| Deallocates memory for a Revision element of the RevisionHistory container. More...
struct cvrf_revision * | cvrf_revision_clone (const struct cvrf_revision *revision)
const char * | cvrf_revision_get_number (const struct cvrf_revision *revision)
const char * | cvrf_revision_get_date (const struct cvrf_revision *revision)
const char * | cvrf_revision_get_description (const struct cvrf_revision *revision)
bool | cvrf_revision_set_number (struct cvrf_revision *revision, const char *number)
bool | cvrf_revision_set_date (struct cvrf_revision *revision, const char *date)
bool | cvrf_revision_set_description (struct cvrf_revision *revision, const char *description)

## Data Fields
char * | number
char * | date
char * | description

## Member Function Documentation

## ◆ cvrf_revision_to_dom()

xmlNode * cvrf_revision_to_dom | ( | struct cvrf_revision * | revision | ) |

Parent: RevisionHistory container in CVRF DocumentTracking element.

Parameters

  revision | CVRF Revision structure to be exported to XML

Returns
  xmlNode representing Revision element

The documentation for this struct was generated from the following files:

- cvrf_priv.c
- cvrf_priv.h
- cvrf.h